%% Snowcone Lake Part (b)
%% Analytical Solution for the height of the lake with a range of values
%% James Stewart - Moore

Ab = 1000e6; % Area of the surface of the basin in sq meters

P = [0.1:0.01:0.8]; %Precipitation  (m/yr)
E= 2.5; %Evaporation (m/yr)
alpha = 4; %angle of basin in degrees
alpha = alpha*2*pi/360; %now in radians
b = 0.5; %runoff coefficient


Alake = (P.*b*Ab)./(E+P.*b-P);
R = sqrt(Alake/pi);
H = R*tan(alpha)

figure(1)
plot(P,H)

ylabel ('Precipitation (m/yr)', 'fontname', 'helvetica', 'fontsize' ,15)
title ('Snowcone Lake - Varying Precipitation', 'fontsize' ,18)
xlabel ('Height of water in lake (m)', 'fontname', 'helvetica', 'fontsize' ,15)